APIs / Rentalcars.com / Supplier Ratings
Rentalcars.com: Supplier Ratings
Supplier Ratings from Rentalcars.com as JSON. 1 credit per successful call.
GET /v1/rentalcars/supplier-ratings
Parameters
Send parameters in the query string.
| Parameter | Type | Required | Allowed values |
|---|---|---|---|
pickup_location | string | Required | Any |
dropoff_location | string | Optional | Any |
pickup_date | string | Required | Any |
pickup_time | string | Optional | Any |
dropoff_date | string | Required | Any |
dropoff_time | string | Optional | Any |
drivers_age | integer | Optional | Any |
cor | string | Optional | Any |
currency | string | Optional | Any |
car_category[] | list of string | Optional | Up to 40 characters |
supplier[] | list of string | Optional | Up to 80 characters |
transmission[] | list of string | Optional | AUTOMATIC, MANUAL |
mileage[] | list of string | Optional | Up to 40 characters |
depot_location_type[] | list of string | Optional | Up to 40 characters |
fuel_type[] | list of string | Optional | Up to 40 characters |
fuel_policy_type[] | list of string | Optional | Up to 40 characters |
seat_capacity[] | list of string | Optional | Up to 20 characters |
pay_when[] | list of string | Optional | Up to 20 characters |
free_cancellation | boolean | Optional | Any |
minimum_supplier_rating | integer | Optional | Any |
minimum_four_doors | boolean | Optional | Any |
has_deals | boolean | Optional | Any |
has_insurance_inclusive_pricing | boolean | Optional | Any |
price_min | number | Optional | Any |
price_max | number | Optional | Any |
sort | string | Optional | NATURAL, PRICE, RATING, DISTANCE, GENIUS |
sort_ascending | boolean | Optional | Any |
filter_criteria | string | Optional | Up to 2,000 characters |
page | integer | Optional | Any |
per_page | integer | Optional | Any |
Example request
curl "https://api.perceptlayer.com/v1/rentalcars/supplier-ratings" \
-H "X-API-Key: $API_KEY"